<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
<title>模型数据管理</title>
<LINK href="<?=base_url()?>csdj/admin/images/admin.css" type="text/css" rel="stylesheet">
<SCRIPT type="text/javascript" src="<?=base_url()?>csdj/admin/js/admin.js?v23"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/dialog.js"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/ajaxrequest.js"></script>
<script type="text/javascript" src="<?=base_url()?>csdj/admin/js/setcolor.js"></script>
<script charset=gbk src="<?=base_url()?>csdj/editor/kindeditor.js"></script>
<script>
	var editor;
	KindEditor.ready(function(K) {
		editor = K.create('textarea[name="content"]', {
			allowFileManager : true
		});
	});
</script>
</head>
<body style="margin:2px">
 
	<table align="center" border="1" cellspacing="0" cellpadding="5" bordercolor="#A2DAE7" width="100%" style="border-collapse:collapse;" id="m_Imgs">
	<form method="post" Name="myForm" action="<?=site_url('admin/vod/pldel')?>">
	<tr><td align="center" height="20" colspan="12" class="title">“视频”模型数据管理    
	 ｜ <a title="视频列表" href="<?=site_url('admin/vod/index/')?>">视频列表</a>
	 ｜ <a title="等待审核视频" href="<?=site_url('admin/vod/so/')?>?cid=-2">待审视频</a>
	 ｜ <a title="回收站视频" href="<?=site_url('admin/vod/huis/')?>">回收站视频</a>
	 ｜ <a title="添加视频" href="<?=site_url('admin/vod/add/')?>">添加视频</a>
	 ｜ <A onClick="window.parent.showSearchForm('vod',0);return false" href="javascript:;">视频搜索</A>
	 ｜ <a title="一键批量下载远程图片到本地" href="<?=site_url('admin/vod/downpic')?>">一键保存远程图片</a>
	</td></tr>
	<tr align="center">
		<td width="3%">选中</td>
		<td width="5%">缩略题图</td>
		<td width="*">视频名称</td>
		<td width="6%">人气</td><td width="6%">主演</td><td width="6%">来源</td><td width="9%">添加时间</td><td width="8%">推荐星际</td><td width="4%">↓专集</td><td width="4%">↓审核</td>
		<td width="4%">↓生成</td>
		<td width="8%">↓管理操作</td>
	</tr>
<?php
 if(empty($vod)) echo '<tr align="center"><td colspan="12" align="center">当前没有记录!</td></tr>';
 foreach ($vod as $row) { 
?>
	<tr>
		<td align="center"><input type=checkbox Name="CS_ID[]" id="CS_ID[]" Value="<?=$row->CS_ID?>"></td>
		<td align="center">
<?php
if(empty($row->CS_Pic)){
       echo '--';
}else{
       echo '<img height="30" src="'.$this->CsdjSkins->piclink('vod',$row->CS_Pic).'" style="cursor:url('.base_url().'csdj/images/zoomin.cur),auto" onload="ResizeImages(this,50,30);" onclick="PreviewImage(this);">';
}
?>
		</td>
		<td>[<a href="<?=$this->CsdjSkins->LinkUrl('lists','vod','id',$row->CS_CID,$row->CS_ID)?>" target="_blank"><?=$this->CsdjSkins->getclass($row->CS_CID,'vlist')?></a>]
			<a href="<?=$this->CsdjSkins->LinkUrl('show','vod','id',$row->CS_CID,$row->CS_ID,1,1)?>?cs=html" target="_blank"><font color='<?=$row->CS_Color?>'><?=$row->CS_Name?></font></a>
		</td>
		
		<td align="center"><?=$row->CS_Hits?></td>
		
		<td align="center">
<?php
if(empty($row->CS_Yany)){
 echo '佚名';
}else{
   $strs=explode(",",$row->CS_Yany);
   if(count($strs)<2){
      $strs=explode("/",$row->CS_Yany);
   }
   if(count($strs)>1){
       echo $strs[0]."..";
   }else{
       echo $row->CS_Yany;
   }
}
?>
                </td>
		
		<td align="center">
<?php
if(empty($row->CS_Laiy)){
 echo '未知';
}else{
   $strs=explode(",",$row->CS_Laiy);
   if(count($strs)>1){
       echo $strs[0]."..";
   }else{
       echo $row->CS_Laiy;
   }
}
?>
                </td>
<?php
		if(date("Y-m-d",strtotime($row->CS_AddTime))==date('Y-m-d')){
				$addtime="<font color=red>".date("Y-m-d",strtotime($row->CS_AddTime))."</font>";
		}else{
				$addtime=date("Y-m-d",strtotime($row->CS_AddTime));
		}
?>
		<td align="center"><?=$addtime?></td>
		<td align="center" id="reco<?=$row->CS_ID?>">
<?php
      echo "<a title=\"取消推荐\" href=\"javascript:;\" onClick=\"Xing('".site_url('admin/ajax/reco/')."',0,".$row->CS_ID.",'vod');return false\"><font color=#ff0033>×</font></a>";
      for($i=1;$i<=$row->CS_Reco;$i++){
             echo "<a title=\"推荐：".$i."星\" href=\"javascript:;\" onClick=\"Xing('".site_url('admin/ajax/reco/')."',".$i.",".$row->CS_ID.",'vod');return false\">★</a>";
      }
      for($j=$row->CS_Reco+1;$j<=5;$j++){
             echo "<a title=\"推荐：".$j."星\" href=\"javascript:;\" onClick=\"Xing('".site_url('admin/ajax/reco/')."',".$j.",".$row->CS_ID.",'vod');return false\">☆</a>";
      }
?>
                </td>

		<td align="center" id="zj<?=$row->CS_ID?>">
<?php
if($row->CS_TID==0){
	echo '<a href="javascript:;" title="点击加入专集" onClick="SaveSpecial(\''.site_url('admin/topic/save/').'\',3,'.$row->CS_ID.');return false"><font color=#ff0033>×</font></a>';
}else{
	echo '<a href="javascript:;" title="点击修改专集" onClick="SaveSpecial(\''.site_url('admin/topic/save/').'\',3,'.$row->CS_ID.');return false">√</a>';
}
?>
		</td>

		<td align="center" id="sh<?=$row->CS_ID?>">
<?php
if($row->CS_YID==1){
	echo '<a href="javascript:;" title="点击审核" onClick="vodsh(\''.site_url('admin/ajax/vodsh/').'\','.$row->CS_YID.','.$row->CS_ID.');return false"><font color=#ff0033>×</font></a>';
}else{
	echo '<a href="javascript:;" title="点击取消审核" onClick="vodsh(\''.site_url('admin/ajax/vodsh/').'\','.$row->CS_YID.','.$row->CS_ID.');return false">√</a>';
}
?>
		</td>
		
		<td align="center" id="html<?=$row->CS_ID?>">
<?php
if(Web_Mode==3){
       $html=$this->CsdjSkins->LinkUrl('show','vod','id',$row->CS_CID,$row->CS_ID,1,2);
       $html=$this->CsdjAdmin->gethtmls($html); //补全HTML地址
       $html=".".substr($html,strlen(Web_Path));
       if(!file_exists($html)){
	   echo '<a href="javascript:;" title="点击生成HTML" onClick="html(\''.site_url('admin/ajax/html/').'\',\'vod\','.$row->CS_ID.','.$row->CS_CID.');return false"><font color=#ff0033>×</font></a>';
       }else{
	   echo '<a href="javascript:;" title="点击更新HTML" onClick="html(\''.site_url('admin/ajax/html/').'\',\'vod\','.$row->CS_ID.','.$row->CS_CID.');return false">√</a>';
       }
}else{
	   echo '<font title="当前为动态模式，不用生成!">√</font>';
}
?>
			</td>
		<td align="center">
			<a href="<?=site_url('admin/vod/edit/'.$row->CS_ID)?>"><img src="/csdj/admin/images/textedit.png" width="20" height="20" title="编辑"></a>  <img src="/csdj/admin/images/zl.jpg" width="1" height="25" title="">  
			<a href="<?=site_url('admin/vod/del/'.$row->CS_ID)?>" onClick="return confirm('确定删除此内容吗?');"><img src="/csdj/admin/images/trashfull.png" width="20" height="20" title="删除"></a>
		</td>
	</tr>
<?php } ?>

	<tr><td colspan='12'><span style="float:right;">视频：<?=$nums?>部&nbsp;&nbsp;&nbsp;&nbsp;<?=$pages?></span>选中<input type="checkbox" name="chkall" onClick="CheckAll(this.form)" value="ON">
	&nbsp;&nbsp;<input type="submit" name="Submit1" class="italk-st3" value="批量删除所选" onClick="return confirm('您确定删除吗?')">
	</span>
	<input type="button" class="italk-st3" value="执行批量修改" onClick="Pledit('<?=site_url('admin/vod/pledit/')?>');">
	<input type="button" class="italk-st3" value="批量加入专题" onClick="SaveSpecial('<?=site_url('admin/topic/save/')?>',3);">
	</td></tr></form></table>
</body>
</html>

